Skip to main content

Конференции

Просмотр конференции fido7.pushkin.local:

Предыдущее Следующее

Дата: 14 May 2020, 13:23:44
От: Andrei Mihailov @ 2:469/335.0
Кому: Sergey Poziturin
Тема: Прогресс


Hello, Sergey Poziturin.
On 14.05.2020 9:43 you wrote:

 AM>>>> Не все и не всегда. И дело не в тяжести и трехмерности. Дело в 
 AM>>>> "уровне API".   Например, за время юзания телефона с Android 
 AM>>>> 4.4 автор усовершенствовал свою программу, но перекомпилировал 
 AM>>>> ее с минимальным API 26, a соответствующий этому API Android 
 AM>>>> 8.0 твою модель телефона не поддерживает. И все, после ресета 
 AM>>>> ты эту программу уже не установишь.
 SP>>> И это зачастую не прихоть автора, а требование гугла, который 
 SP>>> отказывается загружать в google play новые приложения с более 
 SP>>> старым уровнем API. Увы, в этом мире это норма.
 AM>> Кстати, если я откомпилирую в apk программу на телефоне, то у нее 
 AM>> какой будет уровень API - соответствующий версии Андроида, 
 AM>> установленной на этом телефоне?
 SP> Ты при компиляции используешь какой-то АПИ

Так вопрос - какой? В настройках C4Droid выбора API не нашел...
 
 SP> , при линковке суёшь какую-то библиотеку - вот оно и будет.

Библиотеки - Bionic, Qt, SDL2.
 
 SP> Телефон тут не причём, это всё на компе разработчика делается.

Компа нет - приложение набира тся и компилится непосредственно на телефоне.

--
Best regards!
Posted using Hotdoged on Android

--- Hotdoged/2.13.5/Android
Origin: Android device, Milky Way (2:469/335)

Предыдущее Следующее

К списку сообщений
К списку конференций